Bug 1130756 - Review Request: snip
Summary: Review Request: snip
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1127894
TreeView+ depends on / blocked
 
Reported: 2014-08-17 11:35 UTC by Ismael Olea
Modified: 2014-08-20 16:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-20 09:24:01 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ismael Olea 2014-08-17 11:35:28 UTC
http://copr-be.cloud.fedoraproject.org/results/olea/OmegaT/fedora-rawhide-x86_64/snip-0.11-1.fc20/snip-0.11-1.fc22.src.rpm
http://olea.org/tmp/snip.spec

Description:
An Ant task designed to help with the single-sourcing of program documentation.


This is a dependency for jsap #1127894

Comment 1 gil cattaneo 2014-08-18 09:12:26 UTC
there are also unneeded BR:
BuildRequires:  java-devel >= 1:1.6.0
you can use only
BuildRequires:  javapackages-tools

unnecessary Requires (XMvn handled by javapackages-*)
Requires:       java-headless >= 1:1.6.0
Requires:       javapackages-tools
also for sub package javadoc
Requires:       %{name} = %{version}-%{release}
Requires:       javapackages-tools

"Group:" tag is no longer necessary.

please use %dir %{_javadir}/ instead of %dir /usr/share/java

Comment 2 Ismael Olea 2014-08-18 10:46:28 UTC
(In reply to gil cattaneo from comment #1)
> there are also unneeded BR:
> BuildRequires:  java-devel >= 1:1.6.0
> you can use only
> BuildRequires:  javapackages-tools
> 
> unnecessary Requires (XMvn handled by javapackages-*)
> Requires:       java-headless >= 1:1.6.0
> Requires:       javapackages-tools
> also for sub package javadoc
> Requires:       %{name} = %{version}-%{release}
> Requires:       javapackages-tools
> 
> "Group:" tag is no longer necessary.
> 
> please use %dir %{_javadir}/ instead of %dir /usr/share/java


fixed:

http://olea.org/tmp/snip-0.11-2.fc22.src.rpm
http://olea.org/tmp/snip.spec

Comment 3 gil cattaneo 2014-08-18 12:03:47 UTC
(In reply to Ismael Olea from comment #2)
> fixed:
> 
> http://olea.org/tmp/snip-0.11-2.fc22.src.rpm
> http://olea.org/tmp/snip.spec


what did you corrected? remain again the problems reported @  comment c1
the reasons was explained @ https://bugzilla.redhat.com/show_bug.cgi?id=1127879#c8

Comment 5 Ismael Olea 2014-08-18 16:20:14 UTC
(In reply to gil cattaneo from comment #3)

Done:


http://olea.org/tmp/snip-0.11-3.fc22.src.rpm
http://olea.org/tmp/snip.spec

Comment 6 gil cattaneo 2014-08-18 16:38:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)". Detailed output of licensecheck in
     /home/gil/1130756-snip/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in snip-
     javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: snip-0.11-3.fc22.noarch.rpm
          snip-javadoc-0.11-3.fc22.noarch.rpm
          snip-0.11-3.fc22.src.rpm
snip-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint snip snip-javadoc
snip-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
snip (rpmlib, GLIBC filtered):

snip-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
snip:
    snip

snip-javadoc:
    snip-javadoc



Source checksums
----------------
http://martiansoftware.com/lab/snip/snip-0.11-src.zip :
  CHECKSUM(SHA256) this package     : c5fc7c7c006ce4821cf143d94da29d99e7b6c25db8d3295dc72702bf05f89f33
  CHECKSUM(SHA256) upstream package : c5fc7c7c006ce4821cf143d94da29d99e7b6c25db8d3295dc72702bf05f89f33


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1130756 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

approved

Comment 7 Ismael Olea 2014-08-18 16:56:32 UTC
o/

Thanks!

Comment 8 Ismael Olea 2014-08-18 16:58:44 UTC
New Package SCM Request
=======================
Package Name: snip
Short Description: An Ant task designed to help with the single-sourcing of program documentation
Upstream URL: http://www.martiansoftware.com/lab/snip/
Owners: olea
Branches: f21

Comment 9 gil cattaneo 2014-08-19 00:40:02 UTC
better to add, only to the main package
Requires:       java-headless
Requires:       javapackages-tools

Comment 10 Gwyn Ciesla 2014-08-19 11:52:11 UTC
Git done (by process-git-requests).

Comment 11 Ismael Olea 2014-08-20 09:24:33 UTC
(In reply to gil cattaneo from comment #9)
> better to add, only to the main package
> Requires:       java-headless
> Requires:       javapackages-tools

Why do you think is better? :-m

Comment 12 gil cattaneo 2014-08-20 10:17:45 UTC
because i commited an error ...sorry
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java

Requires
--------
snip (rpmlib, GLIBC filtered):

Comment 13 Ismael Olea 2014-08-20 16:51:24 UTC
OK :-)


Note You need to log in before you can comment on or make changes to this bug.